mca_write_pos
Prev | Chapter 3. Public Functions Provided | Next

## Name

mca_write_pos — read POS register from card

## Synopsis

`void mca_write_pos (` | int | slot,
| int | reg,
| unsigned char | byte`)`;

## Arguments

`slot`

  slot number to read from

`reg`

  register to read from

`byte`

  byte to write to the POS registers

## Description

Store a POS value directly from the hardware. You should not normally need to use this function and should have a very good knowledge of MCA bus before you do so. Doing this wrongly can damage the hardware.

This function may not be used from interrupt context.

Note that this a technically a Bad Thing, as IBM tech stuff says you should only set POS values through their utilities. However, some devices such as the 3c523 recommend that you write back some data to make sure the configuration is consistent. I'd say that IBM is right, but I like my drivers to work.

This function can't do checks to see if multiple devices end up with the same resources, so you might see magic smoke if someone screws up.

Prev | Up | Next
mca_read_pos | Home | mca_set_adapter_name